#include<iostream>
#include<vector>
#include<utility>
#include<map>
using namespace std;
int main()
{
  int n,m;
  bool b=true;
  cin >> n >> m;
  vector<int>druz(n);
  int s=0;
  for (int i=1; i<=n; i++)
  {
    if (druz[i]<0) b=false;
    cin >> druz[i];
  }
  for (int i=0; i<m; i++)
  {
    int a, b;
    cin >> a >> b;
    if (b) s+=druz[a]+druz[b];
  }
  cout << s;
  return 0;
}